Broken LabVIEW OPC UA Toolkit SubVIs After Upgrading LabVIEW

Updated Jul 16, 2018

Reported In

Software

  • LabVIEW
  • LabVIEW Datalogging and Supervisory Control Module
  • LabVIEW OPC UA Toolkit

Issue Details

After I upgraded my LabVIEW application and I try to load my OPC application, I see a broken run arrow and the error dialog reports that the subVIs from the NI OPC UA Toolkit are broken. 

Solution

Follow the steps below to resolve the errors: 
  1. Launch NI License Manager from the Start Menu
  2. For NI License Manager 4.2 and above, navigate to Local Licenses and locate the appropriate software. 
  3. The status of the software should either say Licensed or Evaluation
  4. If the software's evaluation period has expired, you will need to purchase a license to activate the product by contacting NI. 
  5. Once the product is activated, restart LabVIEW and reopen your application. The subVIs should no longer be broken. 

WAS THIS ARTICLE HELPFUL?

Not Helpful